Bug 253756

Summary: security/py-certbot: requires cryptography>=3.2
Product: Ports & Packages Reporter: Helmut Ritter <freebsd-ports>
Component: Individual Port(s)Assignee: freebsd-python (Nobody) <python>
Status: Closed FIXED    
Severity: Affects Only Me CC: apevnev, david, leres, mandree, pi, vvd
Priority: ---    
Version: Latest   
Hardware: Any   
OS: Any   
Bug Depends on: 253730    
Bug Blocks:    

Description Helmut Ritter 2021-02-22 10:03:27 UTC
[helmut@BSDHelmut12 ~]$ sudo certbot
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cryptography 2.9.2 (/usr/local/lib/python3.6/site-packages), Requirement.parse('cryptography>=3.2'), {'PyOpenSSL'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/certbot", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3251, in <module>
    @_call_aside
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/local/lib/python3.6/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cryptography 2.9.2 (/usr/local/lib/python3.6/site-packages), Requirement.parse('cryptography>=3.2'), {'PyOpenSSL'})
[helmut@BSDHelmut12 ~]$ pkg info -ix py36-certbot-1.11.0
py36-certbot-1.11.0,1
[helmut@BSDHelmut12 ~]$ pkg info -ix py36-crypt
py36-cryptography-2.9.2
[helmut@BSDHelmut12 ~]$ freebsd-version
12.2-RELEASE-p3
[helmut@BSDHelmut12 ~]$
Comment 1 VVD 2021-02-22 10:45:00 UTC
(In reply to Helmut Ritter from comment #0)
> ('cryptography>=3.2'), {'PyOpenSSL'}
certbot doesn't require cryptography>=3.2, it's security/py-openssl 20.x require it.

Check this PR too: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=253730
Comment 2 Matthias Andree freebsd_committer 2021-02-25 20:52:09 UTC
fixed by fluffy's fix of a dependent bug